import { PlayerDto } from "./PlayerDto";

export interface GameSessionState {
  id: string;
  name: string;
  creator: string;
  players: PlayerDto[];
  seed: string;
  waitingForPlayers: boolean;
  mode: string;
  pointsToWin: number;
  sessionInProgress: boolean;
  status: string;
  maxPlayers: number;
  numPlayers: number;
  waitingSeconds: number;
}